/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.sync.constants;

/**
 * @author Shinn Lok
 */
public class SyncDeviceConstants {

	/**
	 * Feature set 1:
	 *
	 * Sites removed from Sync context
	 */
	public static final int FEATURE_SET_1 = 1;

	public static final int STATUS_ACTIVE = 0;

	public static final int STATUS_INACTIVE = 1;

	public static final String STATUS_LABEL_ACTIVE = "active";

	public static final String STATUS_LABEL_INACTIVE = "inactive";

	public static final String STATUS_LABEL_PENDING_WIPE = "pending-wipe";

	public static final String STATUS_LABEL_WIPED = "wiped";

	public static final int STATUS_PENDING_WIPE = 2;

	public static final int STATUS_WIPED = 3;

	public static String getStatusLabel(int status) {
		if (status == STATUS_ACTIVE) {
			return STATUS_LABEL_ACTIVE;
		}
		else if (status == STATUS_INACTIVE) {
			return STATUS_LABEL_INACTIVE;
		}
		else if (status == STATUS_PENDING_WIPE) {
			return STATUS_LABEL_PENDING_WIPE;
		}
		else if (status == STATUS_WIPED) {
			return STATUS_LABEL_WIPED;
		}
		else {
			return null;
		}
	}

}