/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.sync.model;

import aQute.bnd.annotation.ProviderType;

import com.liferay.portal.kernel.annotation.ImplementationClassName;
import com.liferay.portal.kernel.model.PersistedModel;
import com.liferay.portal.kernel.util.Accessor;

/**
 * The extended model interface for the SyncDevice service. Represents a row in the &quot;SyncDevice&quot; database table, with each column mapped to a property of this class.
 *
 * @author Brian Wing Shun Chan
 * @see SyncDeviceModel
 * @see com.liferay.sync.model.impl.SyncDeviceImpl
 * @see com.liferay.sync.model.impl.SyncDeviceModelImpl
 * @generated
 */
@ImplementationClassName("com.liferay.sync.model.impl.SyncDeviceImpl")
@ProviderType
public interface SyncDevice extends SyncDeviceModel, PersistedModel {
	/*
	 * NOTE FOR DEVELOPERS:
	 *
	 * Never modify this interface directly. Add methods to {@link com.liferay.sync.model.impl.SyncDeviceImpl} and rerun ServiceBuilder to automatically copy the method declarations to this interface.
	 */
	public static final Accessor<SyncDevice, Long> SYNC_DEVICE_ID_ACCESSOR = new Accessor<SyncDevice, Long>() {
			@Override
			public Long get(SyncDevice syncDevice) {
				return syncDevice.getSyncDeviceId();
			}

			@Override
			public Class<Long> getAttributeClass() {
				return Long.class;
			}

			@Override
			public Class<SyncDevice> getTypeClass() {
				return SyncDevice.class;
			}
		};

	public void checkStatus()
		throws com.liferay.portal.kernel.exception.PortalException;

	public boolean hasSetModifiedDate();

	public boolean isSupported();

	public boolean supports(int featureSet);
}